<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: PDMA Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">PDMA Exported Constants<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d9/df2/group___n_a_n_o1_x2___p_d_m_a___driver.html">PDMA Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for PDMA Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#ad7_2db3_2group______n__a__n__o1__x2______p__d__m__a______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">PDMA Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gac2d69c77ef2c12860be0c946ab509c52"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2d69c77ef2c12860be0c946ab509c52">PDMA_WIDTH_8</a>&#160;&#160;&#160;0x00080000UL</td></tr>
<tr class="separator:gac2d69c77ef2c12860be0c946ab509c52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga10522cab6c0fa8d45aeb59deb064dfac"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10522cab6c0fa8d45aeb59deb064dfac">PDMA_WIDTH_16</a>&#160;&#160;&#160;0x00100000UL</td></tr>
<tr class="separator:ga10522cab6c0fa8d45aeb59deb064dfac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0e4d6deef47ba09e97543dc7594a59a3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0e4d6deef47ba09e97543dc7594a59a3">PDMA_WIDTH_32</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga0e4d6deef47ba09e97543dc7594a59a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d0ab72a1e9a8daaeef08cb6965bc7d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d0ab72a1e9a8daaeef08cb6965bc7d5">PDMA_SAR_INC</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga1d0ab72a1e9a8daaeef08cb6965bc7d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d3be22ba29f16cb303c5d3c5b7d7dca"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d3be22ba29f16cb303c5d3c5b7d7dca">PDMA_SAR_FIX</a>&#160;&#160;&#160;0x00000020UL</td></tr>
<tr class="separator:ga8d3be22ba29f16cb303c5d3c5b7d7dca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6e4dd7405575c9c493fd0caf15814800"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6e4dd7405575c9c493fd0caf15814800">PDMA_SAR_WRA</a>&#160;&#160;&#160;0x00000030UL</td></tr>
<tr class="separator:ga6e4dd7405575c9c493fd0caf15814800"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf87d318bb050f2b2e28e5b75a633ab40"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf87d318bb050f2b2e28e5b75a633ab40">PDMA_DAR_INC</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:gaf87d318bb050f2b2e28e5b75a633ab40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22d43fb8061d03b776184d56f5d617f4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22d43fb8061d03b776184d56f5d617f4">PDMA_DAR_FIX</a>&#160;&#160;&#160;0x00000080UL</td></tr>
<tr class="separator:ga22d43fb8061d03b776184d56f5d617f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga854ba02e7cac7866a4cb9b90cdd153e2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga854ba02e7cac7866a4cb9b90cdd153e2">PDMA_DAR_WRA</a>&#160;&#160;&#160;0x000000C0UL</td></tr>
<tr class="separator:ga854ba02e7cac7866a4cb9b90cdd153e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ff6104fb9271fb8fae39867535244ea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ff6104fb9271fb8fae39867535244ea">PDMA_SPI0_TX</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga9ff6104fb9271fb8fae39867535244ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga07bbb3174e1c310aaf1c232a11ddbc62"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga07bbb3174e1c310aaf1c232a11ddbc62">PDMA_SPI1_TX</a>&#160;&#160;&#160;0x00000001UL</td></tr>
<tr class="separator:ga07bbb3174e1c310aaf1c232a11ddbc62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad625d970deaa570105920c81c1500afe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad625d970deaa570105920c81c1500afe">PDMA_UART0_TX</a>&#160;&#160;&#160;0x00000002UL</td></tr>
<tr class="separator:gad625d970deaa570105920c81c1500afe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab7062d121208f552131821681af03a0c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab7062d121208f552131821681af03a0c">PDMA_UART1_TX</a>&#160;&#160;&#160;0x00000003UL</td></tr>
<tr class="separator:gab7062d121208f552131821681af03a0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9fa15658aac2952bdcbc6f550eb6a688"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9fa15658aac2952bdcbc6f550eb6a688">PDMA_TMR0_TX</a>&#160;&#160;&#160;0x00000009UL</td></tr>
<tr class="separator:ga9fa15658aac2952bdcbc6f550eb6a688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae5a6d206f45aa185bc0c0853ff0d7272"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5a6d206f45aa185bc0c0853ff0d7272">PDMA_TMR1_TX</a>&#160;&#160;&#160;0x0000000AUL</td></tr>
<tr class="separator:gae5a6d206f45aa185bc0c0853ff0d7272"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8cea4fa7294830387a1c3271f049ce80"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8cea4fa7294830387a1c3271f049ce80">PDMA_TMR2_TX</a>&#160;&#160;&#160;0x0000000BUL</td></tr>
<tr class="separator:ga8cea4fa7294830387a1c3271f049ce80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a45d86369963ad1e8016caae0409c30"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9a45d86369963ad1e8016caae0409c30">PDMA_TMR3_TX</a>&#160;&#160;&#160;0x0000000CUL</td></tr>
<tr class="separator:ga9a45d86369963ad1e8016caae0409c30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa57b1014fe27240eb0568ee37441a3c3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa57b1014fe27240eb0568ee37441a3c3">PDMA_SPI0_RX</a>&#160;&#160;&#160;0x00000010UL</td></tr>
<tr class="separator:gaa57b1014fe27240eb0568ee37441a3c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacba44d471efef119711b3e3f6547c133"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacba44d471efef119711b3e3f6547c133">PDMA_SPI1_RX</a>&#160;&#160;&#160;0x00000011UL</td></tr>
<tr class="separator:gacba44d471efef119711b3e3f6547c133"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga67a69da9283454af1332746b5f443d23"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga67a69da9283454af1332746b5f443d23">PDMA_UART0_RX</a>&#160;&#160;&#160;0x00000012UL</td></tr>
<tr class="separator:ga67a69da9283454af1332746b5f443d23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18106be6fdcb4ecb40d5dabd85d845bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga18106be6fdcb4ecb40d5dabd85d845bc">PDMA_UART1_RX</a>&#160;&#160;&#160;0x00000013UL</td></tr>
<tr class="separator:ga18106be6fdcb4ecb40d5dabd85d845bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2c079335316a7755dd7549369cc60a33"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2c079335316a7755dd7549369cc60a33">PDMA_ADC</a>&#160;&#160;&#160;0x00000016UL</td></tr>
<tr class="separator:ga2c079335316a7755dd7549369cc60a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga681423450ceecede8721047dfa974193"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga681423450ceecede8721047dfa974193">PDMA_PWM0_CH0</a>&#160;&#160;&#160;0x00000019UL</td></tr>
<tr class="separator:ga681423450ceecede8721047dfa974193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf63d8970aab98ba85d6cbf986a6447a8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf63d8970aab98ba85d6cbf986a6447a8">PDMA_PWM0_CH2</a>&#160;&#160;&#160;0x0000001AUL</td></tr>
<tr class="separator:gaf63d8970aab98ba85d6cbf986a6447a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga345574611c87136e7d228d877449ad4e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga345574611c87136e7d228d877449ad4e">PDMA_MEM</a>&#160;&#160;&#160;0x0000001FUL</td></tr>
<tr class="separator:ga345574611c87136e7d228d877449ad4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga2c079335316a7755dd7549369cc60a33" name="ga2c079335316a7755dd7549369cc60a33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2c079335316a7755dd7549369cc60a33">&#9670;&nbsp;</a></span>PDMA_ADC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_ADC&#160;&#160;&#160;0x00000016UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to I2S1 RX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00066">66</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga22d43fb8061d03b776184d56f5d617f4" name="ga22d43fb8061d03b776184d56f5d617f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga22d43fb8061d03b776184d56f5d617f4">&#9670;&nbsp;</a></span>PDMA_DAR_FIX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_DAR_FIX&#160;&#160;&#160;0x00000080UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA DAR fix address </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00047">47</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="gaf87d318bb050f2b2e28e5b75a633ab40" name="gaf87d318bb050f2b2e28e5b75a633ab40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf87d318bb050f2b2e28e5b75a633ab40">&#9670;&nbsp;</a></span>PDMA_DAR_INC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_DAR_INC&#160;&#160;&#160;0x00000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA DAR increment </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00046">46</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga854ba02e7cac7866a4cb9b90cdd153e2" name="ga854ba02e7cac7866a4cb9b90cdd153e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga854ba02e7cac7866a4cb9b90cdd153e2">&#9670;&nbsp;</a></span>PDMA_DAR_WRA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_DAR_WRA&#160;&#160;&#160;0x000000C0UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA DAR wrap around </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00048">48</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga345574611c87136e7d228d877449ad4e" name="ga345574611c87136e7d228d877449ad4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga345574611c87136e7d228d877449ad4e">&#9670;&nbsp;</a></span>PDMA_MEM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_MEM&#160;&#160;&#160;0x0000001FUL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to Memory </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00069">69</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga681423450ceecede8721047dfa974193" name="ga681423450ceecede8721047dfa974193"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga681423450ceecede8721047dfa974193">&#9670;&nbsp;</a></span>PDMA_PWM0_CH0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_PWM0_CH0&#160;&#160;&#160;0x00000019UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to PWM0 CH0 </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00067">67</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="gaf63d8970aab98ba85d6cbf986a6447a8" name="gaf63d8970aab98ba85d6cbf986a6447a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf63d8970aab98ba85d6cbf986a6447a8">&#9670;&nbsp;</a></span>PDMA_PWM0_CH2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_PWM0_CH2&#160;&#160;&#160;0x0000001AUL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to PWM0 CH2 </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00068">68</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga8d3be22ba29f16cb303c5d3c5b7d7dca" name="ga8d3be22ba29f16cb303c5d3c5b7d7dca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8d3be22ba29f16cb303c5d3c5b7d7dca">&#9670;&nbsp;</a></span>PDMA_SAR_FIX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_SAR_FIX&#160;&#160;&#160;0x00000020UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA SAR fix address </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00044">44</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga1d0ab72a1e9a8daaeef08cb6965bc7d5" name="ga1d0ab72a1e9a8daaeef08cb6965bc7d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1d0ab72a1e9a8daaeef08cb6965bc7d5">&#9670;&nbsp;</a></span>PDMA_SAR_INC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_SAR_INC&#160;&#160;&#160;0x00000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA SAR increment </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00043">43</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga6e4dd7405575c9c493fd0caf15814800" name="ga6e4dd7405575c9c493fd0caf15814800"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6e4dd7405575c9c493fd0caf15814800">&#9670;&nbsp;</a></span>PDMA_SAR_WRA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_SAR_WRA&#160;&#160;&#160;0x00000030UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA SAR wrap around </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00045">45</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="gaa57b1014fe27240eb0568ee37441a3c3" name="gaa57b1014fe27240eb0568ee37441a3c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa57b1014fe27240eb0568ee37441a3c3">&#9670;&nbsp;</a></span>PDMA_SPI0_RX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_SPI0_RX&#160;&#160;&#160;0x00000010UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to SPI0 RX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00062">62</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga9ff6104fb9271fb8fae39867535244ea" name="ga9ff6104fb9271fb8fae39867535244ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9ff6104fb9271fb8fae39867535244ea">&#9670;&nbsp;</a></span>PDMA_SPI0_TX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_SPI0_TX&#160;&#160;&#160;0x00000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to SPI0 TX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00053">53</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="gacba44d471efef119711b3e3f6547c133" name="gacba44d471efef119711b3e3f6547c133"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacba44d471efef119711b3e3f6547c133">&#9670;&nbsp;</a></span>PDMA_SPI1_RX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_SPI1_RX&#160;&#160;&#160;0x00000011UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to SPI1 RX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00063">63</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga07bbb3174e1c310aaf1c232a11ddbc62" name="ga07bbb3174e1c310aaf1c232a11ddbc62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga07bbb3174e1c310aaf1c232a11ddbc62">&#9670;&nbsp;</a></span>PDMA_SPI1_TX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_SPI1_TX&#160;&#160;&#160;0x00000001UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to SPI1 TX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00054">54</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga9fa15658aac2952bdcbc6f550eb6a688" name="ga9fa15658aac2952bdcbc6f550eb6a688"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9fa15658aac2952bdcbc6f550eb6a688">&#9670;&nbsp;</a></span>PDMA_TMR0_TX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_TMR0_TX&#160;&#160;&#160;0x00000009UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to TMR0 TX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00057">57</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="gae5a6d206f45aa185bc0c0853ff0d7272" name="gae5a6d206f45aa185bc0c0853ff0d7272"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae5a6d206f45aa185bc0c0853ff0d7272">&#9670;&nbsp;</a></span>PDMA_TMR1_TX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_TMR1_TX&#160;&#160;&#160;0x0000000AUL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to TMR1 TX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00058">58</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga8cea4fa7294830387a1c3271f049ce80" name="ga8cea4fa7294830387a1c3271f049ce80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8cea4fa7294830387a1c3271f049ce80">&#9670;&nbsp;</a></span>PDMA_TMR2_TX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_TMR2_TX&#160;&#160;&#160;0x0000000BUL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to TMR2 TX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00059">59</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga9a45d86369963ad1e8016caae0409c30" name="ga9a45d86369963ad1e8016caae0409c30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9a45d86369963ad1e8016caae0409c30">&#9670;&nbsp;</a></span>PDMA_TMR3_TX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_TMR3_TX&#160;&#160;&#160;0x0000000CUL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to TMR3 TX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00060">60</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga67a69da9283454af1332746b5f443d23" name="ga67a69da9283454af1332746b5f443d23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga67a69da9283454af1332746b5f443d23">&#9670;&nbsp;</a></span>PDMA_UART0_RX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_UART0_RX&#160;&#160;&#160;0x00000012UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to UART0 RX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00064">64</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="gad625d970deaa570105920c81c1500afe" name="gad625d970deaa570105920c81c1500afe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad625d970deaa570105920c81c1500afe">&#9670;&nbsp;</a></span>PDMA_UART0_TX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_UART0_TX&#160;&#160;&#160;0x00000002UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to UART0 TX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00055">55</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga18106be6fdcb4ecb40d5dabd85d845bc" name="ga18106be6fdcb4ecb40d5dabd85d845bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga18106be6fdcb4ecb40d5dabd85d845bc">&#9670;&nbsp;</a></span>PDMA_UART1_RX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_UART1_RX&#160;&#160;&#160;0x00000013UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to UART1 RX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00065">65</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="gab7062d121208f552131821681af03a0c" name="gab7062d121208f552131821681af03a0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab7062d121208f552131821681af03a0c">&#9670;&nbsp;</a></span>PDMA_UART1_TX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_UART1_TX&#160;&#160;&#160;0x00000003UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Connect to UART1 TX </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00056">56</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga10522cab6c0fa8d45aeb59deb064dfac" name="ga10522cab6c0fa8d45aeb59deb064dfac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga10522cab6c0fa8d45aeb59deb064dfac">&#9670;&nbsp;</a></span>PDMA_WIDTH_16</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_WIDTH_16&#160;&#160;&#160;0x00100000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Transfer Width 16-bit </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00037">37</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="ga0e4d6deef47ba09e97543dc7594a59a3" name="ga0e4d6deef47ba09e97543dc7594a59a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0e4d6deef47ba09e97543dc7594a59a3">&#9670;&nbsp;</a></span>PDMA_WIDTH_32</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_WIDTH_32&#160;&#160;&#160;0x00000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Transfer Width 32-bit </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00038">38</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
<a id="gac2d69c77ef2c12860be0c946ab509c52" name="gac2d69c77ef2c12860be0c946ab509c52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac2d69c77ef2c12860be0c946ab509c52">&#9670;&nbsp;</a></span>PDMA_WIDTH_8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA_WIDTH_8&#160;&#160;&#160;0x00080000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >DMA Transfer Width 8-bit </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d47/pdma_8h_source.html#l00036">36</a> of file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
